## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiBlockLevelNode

### Document::ezcDocumentWikiBlockLevelNode

### Class ezcDocumentWikiBlockLevelNode

Struct for Wiki document block level abstract syntax tree nodes

Source for this file: /Document/src/document/wiki/nodes/block.php

    ezcBaseStruct
       |
       --ezcDocumentWikiNode
          |
          --ezcDocumentWikiBlockLevelNode

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentWikiTableCellNode | Struct for Wiki document abstract syntax tree table cell item nodes
ezcDocumentWikiListNode | Struct for Wiki document list abstract syntax tree nodes
ezcDocumentWikiLiteralBlockNode | Struct for Wiki document literal block abstract syntax tree nodes
ezcDocumentWikiLineLevelNode | Struct for Wiki document block level abstract syntax tree nodes
ezcDocumentWikiSectionNode | Struct for Wiki section abstract syntax tree root nodes
ezcDocumentWikiPluginNode | Struct for Wiki document plugin abstract syntax tree nodes
ezcDocumentWikiParagraphNode | Struct for Wiki document paragraph abstract syntax tree nodes
ezcDocumentWikiTableNode | Struct for Wiki document abstract syntax tree table item nodes
ezcDocumentWikiPageBreakNode | Struct for Wiki document abstract syntax tree page break nodes

### Inherited Member Variables

From ezcDocumentWikiNode
public | `ezcDocumentWikiNode::$line`
public | `ezcDocumentWikiNode::$nodes`
public | `ezcDocumentWikiNode::$position`
public | `ezcDocumentWikiNode::$token`

### Inherited Methods

From ezcDocumentWikiNode
public void | `ezcDocumentWikiNode::__construct()` Construct Wiki node

Documentation generated by phpDocumentor 1.4.3